<h2>Bezoeken:</h2>
<div *ngIf="!loginCheck()">
  Log in om bezoeken te kunnen zien.
</div>

<div *ngIf="loginCheck()">
  <ul class="visits">
    <li *ngFor="let visit of visits">
      <span *ngIf="loginCheck()">
        <button class="delete" title="delete visit" (click)="delete(visit)">x</button>
      </span>
      <a routerLink="/visit/{{ visit.userid }}/{{ visit._id }}">
        <span class="badge">{{ visit.date }}</span>
      </a>
    </li>
  </ul>

  <button class="btn btn-secondary" (click)="addButton()">Toevoegen</button>
  <div *ngIf="addBool">
    <div>
      <label>Musical: </label>

      <div class="form-group">
        <select class="form-control musicals" id="musical" [(ngModel)]="visit.musical">
          <option [value]="musical._id" *ngFor="let musical of musicals">
            {{ musical.name }}
          </option>
        </select>
      </div>

      <label
        >Datum:
        <input type="date" [(ngModel)]="visit.date" placeholder="Datum" />
      </label>
      <br />
      <label
        >Rating:
        <select class="form-control" [(ngModel)]="visit.rating">
          <option>1</option>
          <option>2</option>
          <option>3</option>
          <option>4</option>
          <option>5</option>
          <option>6</option>
          <option>7</option>
          <option>8</option>
          <option>9</option>
          <option>10</option>
        </select>
      </label>
      <br />
      <label
        >Stoel:
        <input [(ngModel)]="visit.chair" placeholder="Stoel" />
      </label>
      <br />
      <label
        >Beschrijving:
        <input [(ngModel)]="visit.note" placeholder="Beschrijving" />
      </label>
      <br />

      <label>Locatie: </label>
      <div class="form-group">
        <select class="form-control locations" id="location" [(ngModel)]="visit.location">
          <option [value]="location._id" *ngFor="let location of locations">
            {{ location.name }}
          </option>
        </select>

        <br />

        <label>Medebezoeker: </label>
        <div class="form-group">
          <select class="form-control covisiters" id="covisiter" [(ngModel)]="visit.covisiter" #co="ngModel">
            <option [value]="covisiter._id" *ngFor="let covisiter of covisiters">
              {{ covisiter.name }}
            </option>
          </select>
          <br />
          <label
            >Gekeken: <input [(ngModel)]="visit.iswatched" type="radio" name="watched" [value]="true" /> Ja
            <input [(ngModel)]="visit.iswatched" type="radio" name="watched" [value]="false" /> Nee
          </label>
          <br />
          <label
            >Op dvd gekeken: <input [(ngModel)]="visit.dvd" type="radio" name="dvd" [value]="true" /> Ja
            <input [(ngModel)]="visit.dvd" type="radio" name="dvd" [value]="false" /> Nee
          </label>
          <br />
          <button class="btn btn-secondary" (click)="add(co)">Opslaan</button>
        </div>
      </div>
    </div>
  </div>
</div>
